import { number, object, string } from 'zod';

export const maxUploadFileSize = 8 * 1024 * 1024; // 8MB
// Reference: https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types
export const allowUploadMimeTypes = [
  'image/jpeg',
  'image/png',
  'image/gif',
  'image/vnd.microsoft.icon',
  'image/svg+xml',
  'image/tiff',
  'image/webp',
  'image/bmp',
];

export const uploadFileGuard = object({
  filepath: string(),
  mimetype: string(),
  originalFilename: string(),
  size: number(),
});
